
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Model 2b (Model 2 + “evolutionary” issues) &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="../_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="../_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="model-2b-model-2-evolutionary-issues">
<h1>Model 2b (Model 2 + “evolutionary” issues)<a class="headerlink" href="#model-2b-model-2-evolutionary-issues" title="Permalink to this headline">¶</a></h1>
<p>Here we simply assume that the transmission rate (<code class="docutils literal notranslate"><span class="pre">beta</span></code>) varies
periodically over time.</p>
<p>File with full comments: <a class="reference external" href="../_static/benchmark/model2b.yaml">model2b.yaml</a></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">---</span>
<span class="n">model_name</span><span class="p">:</span> <span class="n">stochastic_compart_SIR_demo_variable</span>

<span class="n">model_info</span><span class="p">:</span>
  <span class="n">abstract</span><span class="p">:</span> <span class="s1">&#39;This model is a simple discrete-time, stochastic,</span>
  <span class="n">compartment</span><span class="o">-</span><span class="n">based</span> <span class="n">SIR</span> <span class="n">model</span> <span class="k">with</span> <span class="n">demography</span><span class="o">.</span> <span class="n">The</span> <span class="n">transmission</span> <span class="n">rate</span>
  <span class="n">varies</span> <span class="n">over</span> <span class="n">time</span><span class="o">.</span>
  <span class="s1">&#39;</span>
  <span class="n">author</span><span class="p">:</span> <span class="s1">&#39;Sebastien Picault (sebastien.picault@inra.fr)&#39;</span>

<span class="n">time_info</span><span class="p">:</span>
  <span class="n">time_unit</span><span class="p">:</span> <span class="n">days</span>
  <span class="n">delta_t</span><span class="p">:</span> <span class="mi">1</span>
  <span class="n">origin</span><span class="p">:</span> <span class="s1">&#39;January 1&#39;</span>
  <span class="n">total_duration</span><span class="p">:</span> <span class="s1">&#39;365&#39;</span>

<span class="n">levels</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;level of the population&#39;</span>
    <span class="n">aggregation_type</span><span class="p">:</span> <span class="n">compartment</span>

<span class="n">grouping</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">infection</span><span class="p">:</span>
      <span class="n">machine_name</span><span class="p">:</span> <span class="n">health_state</span>
      <span class="n">key_variables</span><span class="p">:</span> <span class="p">[</span><span class="n">health_state</span><span class="p">]</span>
    <span class="n">aging</span><span class="p">:</span>
      <span class="n">machine_name</span><span class="p">:</span> <span class="n">age_group</span>
      <span class="n">key_variables</span><span class="p">:</span> <span class="p">[</span><span class="n">age_group</span><span class="p">]</span>

<span class="n">processes</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">infection</span>
    <span class="o">-</span> <span class="n">aging</span>

<span class="n">state_machines</span><span class="p">:</span>
  <span class="n">health_state</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;The state machine which defines the evolution of health</span>
    <span class="n">states</span>
    <span class="s1">&#39;</span>
    <span class="n">states</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">S</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Susceptible&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;suceptible of becoming infected&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;deepskyblue&#39;</span>
          <span class="n">default</span><span class="p">:</span> <span class="n">yes</span>
      <span class="o">-</span> <span class="n">I</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Infectious&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected and able to transmit the disease&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;red&#39;</span>
      <span class="o">-</span> <span class="n">R</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Resistant&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;recovered and resistant to new infections&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;limegreen&#39;</span>
    <span class="n">transitions</span><span class="p">:</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">S</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">I</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;beta * total_I / total_population&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">I</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">R</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;gamma&#39;</span><span class="p">}</span>
  <span class="n">age_group</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;The state machine which defines the evolution of age</span>
    <span class="n">groups</span><span class="o">.</span>
    <span class="s1">&#39;</span>
    <span class="n">states</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">J</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Juvenile&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;juvenile individuals&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;orange&#39;</span>
      <span class="o">-</span> <span class="n">A</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Adult&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;adult individuals (producing new juveniles)&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;brown&#39;</span>
      <span class="o">-</span> <span class="n">D</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Dead&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;compartment to put dead individuals&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="n">white</span>
          <span class="n">autoremove</span><span class="p">:</span> <span class="n">yes</span>
    <span class="n">transitions</span><span class="p">:</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;m&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">D</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;mu_J * total_population / K&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">D</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;mu_A * total_population / K&#39;</span><span class="p">}</span>
    <span class="n">productions</span><span class="p">:</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;b&#39;</span><span class="p">}</span>

<span class="n">parameters</span><span class="p">:</span>
  <span class="n">initial_population_size</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial number of individuals in the population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">100</span>
  <span class="n">initial_infected</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial number of infectious individuals in the population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">10</span>
  <span class="n">beta0</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial transmission rate from infectious individuals (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.1</span>
  <span class="n">beta</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;transmission rate from infectious individuals (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;beta0 * (1 + sin(time / 20))&#39;</span>
  <span class="n">gamma</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;recovery rate&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/30&#39;</span>
  <span class="n">b</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;the birth rate (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.005</span>
  <span class="n">m</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;maturation rate, at which juveniles become adults (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/50&#39;</span>
  <span class="n">mu_J</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;base mortality rate for juveniles (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.01</span>
  <span class="n">mu_A</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;base mortality rate for adults (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.0025</span>
  <span class="n">K</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;carriage capacity for the environment&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">150</span>

<span class="n">initial_conditions</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">population</span><span class="p">:</span>
        <span class="o">-</span> <span class="n">total</span><span class="p">:</span> <span class="s1">&#39;initial_population_size&#39;</span>
        <span class="o">-</span> <span class="nb">vars</span><span class="p">:</span> <span class="p">[</span><span class="n">S</span><span class="p">]</span>
          <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_population_size - initial_infected&#39;</span>
        <span class="o">-</span> <span class="nb">vars</span><span class="p">:</span> <span class="p">[</span><span class="n">I</span><span class="p">]</span>
          <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_infected&#39;</span>

<span class="n">outputs</span><span class="p">:</span>
  <span class="nb">type</span><span class="p">:</span> <span class="n">csv</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">period</span><span class="p">:</span> <span class="mi">1</span>
    <span class="n">extra_vars</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">beta</span>
<span class="o">...</span>
</pre></div>
</div>
<p>To run the model for 100 stochastic repetitions:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion run --plot model2b.yaml -r <span class="m">100</span> --silent
</pre></div>
</div>
<p>Which produces the following outputs:</p>
<a class="reference internal image-reference" href="../_images/model2b-output1.png"><img alt="../_images/model2b-output1.png" src="../_images/model2b-output1.png" style="width: 75%;" /></a>
<a class="reference internal image-reference" href="../_images/model2b-output2.png"><img alt="../_images/model2b-output2.png" src="../_images/model2b-output2.png" style="width: 75%;" /></a>
<a class="reference internal image-reference" href="../_images/model2b-output3.png"><img alt="../_images/model2b-output3.png" src="../_images/model2b-output3.png" style="width: 75%;" /></a>
<p>To produce the diagrams of the state machines which control health
states and age groups:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion diagrams model2b.yaml
</pre></div>
</div>
<p>Which gives:</p>
<div class="graphviz"><object data="../_images/graphviz-4e9fc8ab7374816eb8cfc65e258e2ba25ec6cf55.svg" type="image/svg+xml" class="graphviz">
<p class="warning">digraph {
          charset=&quot;utf-8&quot;
        	rankdir=LR;
        
        	node[fontsize=16, fontname=Arial, shape=box, style=&quot;filled,rounded&quot;];
        	edge[minlen=1.5, fontname=Times, penwidth=1.5, tailtooltip=&quot;&quot;, headtooltip=&quot;&quot;];

        	&quot;S&quot; [shape=&quot;Mrecord&quot;, label=&quot;S&quot;, tooltip=&quot;S (Susceptible):
	suceptible of becoming infected&quot;, fillcolor=deepskyblue, style=&quot;filled,rounded,bold&quot;] ;
	&quot;I&quot; [shape=&quot;Mrecord&quot;, label=&quot;I&quot;, tooltip=&quot;I (Infectious):
	infected and able to transmit the disease&quot;, fillcolor=red, style=&quot;filled,rounded&quot;] ;
	&quot;R&quot; [shape=&quot;Mrecord&quot;, label=&quot;R&quot;, tooltip=&quot;R (Resistant):
	recovered and resistant to new infections&quot;, fillcolor=limegreen, style=&quot;filled,rounded&quot;] ;
	&quot;I&quot; -&gt; &quot;R&quot; [label=&quot;rate: gamma&quot;, labeltooltip=&quot;gamma [parameter]:
	recovery rate                                                           
	1/30&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;S&quot; -&gt; &quot;I&quot; [label=&quot;rate: beta * total_I / total_population&quot;, labeltooltip=&quot;rate: beta * total_I / total_population&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
}</p></object></div>
<div class="graphviz"><object data="../_images/graphviz-dfc47964152d782a946b3afd8dcf22446213d579.svg" type="image/svg+xml" class="graphviz">
<p class="warning">digraph {
          charset=&quot;utf-8&quot;
        	rankdir=LR;
        
        	node[fontsize=16, fontname=Arial, shape=box, style=&quot;filled,rounded&quot;];
        	edge[minlen=1.5, fontname=Times, penwidth=1.5, tailtooltip=&quot;&quot;, headtooltip=&quot;&quot;];

        	&quot;J&quot; [shape=&quot;Mrecord&quot;, label=&quot;J&quot;, tooltip=&quot;J (Juvenile):
	juvenile individuals&quot;, fillcolor=orange, style=&quot;filled,rounded&quot;] ;
	&quot;A&quot; [shape=&quot;Mrecord&quot;, label=&quot;A&quot;, tooltip=&quot;A (Adult):
	adult individuals (producing new juveniles)&quot;, fillcolor=brown, style=&quot;filled,rounded&quot;] ;
	&quot;D&quot; [shape=&quot;Mrecord&quot;, label=&quot;D&quot;, tooltip=&quot;D (Dead):
	compartment to put dead individuals&quot;, fillcolor=white, style=&quot;filled,rounded,dotted&quot;] ;
	&quot;A&quot; -&gt; &quot;D&quot; [label=&quot;rate: mu_A * total_population / K&quot;, labeltooltip=&quot;rate: mu_A * total_population / K&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;A&quot; -&gt; &quot;J&quot; [label=&quot;rate: b&quot;, labeltooltip=&quot;b [parameter]:
	the birth rate (/day)                                                   
	0.005&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;dashed&quot;];
	&quot;J&quot; -&gt; &quot;A&quot; [label=&quot;rate: m&quot;, labeltooltip=&quot;m [parameter]:
	maturation rate, at which juveniles become adults (/day)                
	1/50&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;J&quot; -&gt; &quot;D&quot; [label=&quot;rate: mu_J * total_population / K&quot;, labeltooltip=&quot;rate: mu_J * total_population / K&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
}</p></object></div>
<p>To view model parameters:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion show model2b.yaml
</pre></div>
</div>
<p>which produces:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>          <span class="n">EmulsionModel</span> <span class="s2">&quot;stochastic_compart_SIR_demo_variable&quot;</span>
            <span class="n">AVAILABLE</span> <span class="n">PARAMETERS</span> <span class="p">(</span><span class="k">with</span> <span class="n">their</span> <span class="n">current</span> <span class="n">value</span><span class="p">)</span>
<span class="o">------------------------------------------------------------------------</span>
<span class="n">MODEL</span> <span class="n">PARAMETERS</span>
<span class="o">------------------------------------------------------------------------</span>
  <span class="n">total_duration</span><span class="o">.................................................</span><span class="mf">365.0</span>
  <span class="n">initial_population_size</span><span class="o">........................................</span><span class="mf">100.0</span>
  <span class="n">initial_infected</span><span class="o">................................................</span><span class="mf">10.0</span>
  <span class="n">beta0</span><span class="o">............................................................</span><span class="mf">0.1</span>
  <span class="n">gamma</span><span class="o">............................................</span><span class="mf">0.03333333333333333</span>
  <span class="n">b</span><span class="o">..............................................................</span><span class="mf">0.005</span>
  <span class="n">m</span><span class="o">...............................................................</span><span class="mf">0.02</span>
  <span class="n">mu_J</span><span class="o">............................................................</span><span class="mf">0.01</span>
  <span class="n">mu_A</span><span class="o">..........................................................</span><span class="mf">0.0025</span>
  <span class="n">K</span><span class="o">..............................................................</span><span class="mf">150.0</span>
  <span class="n">delta_t</span><span class="o">..........................................................</span><span class="mf">1.0</span>
<span class="o">------------------------------------------------------------------------</span>
</pre></div>
</div>
<p>It is also possible to view the description of the new transmission
rate (<code class="docutils literal notranslate"><span class="pre">beta</span></code>):</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion describe model2b.yaml beta
</pre></div>
</div>
<p>which produces:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>          <span class="n">EmulsionModel</span> <span class="s2">&quot;stochastic_compart_SIR_demo_variable&quot;</span>
              <span class="n">ROLE</span> <span class="n">OF</span> <span class="n">PARAMETERS</span> <span class="p">(</span><span class="n">AND</span> <span class="n">CURRENT</span> <span class="n">DEFINITION</span><span class="p">)</span>
<span class="o">------------------------------------------------------------------------</span>
<span class="n">beta</span> <span class="p">[</span><span class="n">parameter</span><span class="p">]:</span>
	<span class="n">transmission</span> <span class="n">rate</span> <span class="kn">from</span> <span class="nn">infectious</span> <span class="n">individuals</span> <span class="p">(</span><span class="o">/</span><span class="n">day</span><span class="p">)</span>
	<span class="n">beta0</span> <span class="o">*</span> <span class="p">(</span><span class="mi">1</span> <span class="o">+</span> <span class="n">sin</span><span class="p">(</span><span class="n">time</span> <span class="o">/</span> <span class="mi">20</span><span class="p">))</span>
<span class="o">------------------------------------------------------------------------</span>
</pre></div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../pages/Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/License.html">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="../_sources/benchmark/Model2b.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>